petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPGMRESGetRestart

Gets number of iterations at which GMRES, FGMRES and LGMRES restarts.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESGetRestart(KSP ksp, PetscInt *restart)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

restart -integer restart value

Note: The default value is 30.

### Keywords

KSP, GMRES, restart, iterations

### See Also

KSPSetTolerances(), KSPGMRESSetOrthogonalization(), KSPGMRESSetPreAllocateVectors(), KSPGMRESSetRestart()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages